package com.srs.comprehensive.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.comprehensive.domain.Questionnaire;


/**
 * 问卷调查Service接口
 *
 * @author srs
 * @date 2024-05-18
 */
public interface IQuestionnaireService extends IService<Questionnaire> {
    /**
     * 查询问卷调查
     *
     * @param id 问卷调查主键
     * @return 问卷调查
     */
    public Questionnaire selectQuestionnaireById(Long id);

    /**
     * 查询问卷调查列表
     *
     * @param questionnaire 问卷调查
     * @return 问卷调查集合
     */
    List<Questionnaire> selectQuestionnaireList(Questionnaire questionnaire);

    /**
     * 新增问卷调查
     *
     * @param questionnaire 问卷调查
     * @return 结果
     */
    int insertQuestionnaire(Questionnaire questionnaire);

    /**
     * 修改问卷调查
     *
     * @param questionnaire 问卷调查
     * @return 结果
     */
    int updateQuestionnaire(Questionnaire questionnaire);

    /**
     * 批量删除问卷调查
     *
     * @param ids 需要删除的问卷调查主键集合
     * @return 结果
     */
    int deleteQuestionnaireByIds(Long[] ids);

    /**
     * 删除问卷调查信息
     *
     * @param id 问卷调查主键
     * @return 结果
     */
    int deleteQuestionnaireById(Long id);

    int saveAndRelease(Questionnaire questionnaire);

    int updateAndRelease(Questionnaire questionnaire);

    int release(Questionnaire questionnaire);

    int releaseNew(Questionnaire questionnaire);

}
